/**
 * Created by ThinkPad on 2019/12/16.
 */

const fs = require('fs');
const path = require('path');
module.exports = {
    doIt : async (info)=>{
        const {_module,_ctx} = info
        let prefix = _module
        if(_ctx){
            prefix = _ctx
        }

        let controllerInfo =
            `'use strict';

const Controller = require('xc.base').BaseController;

class ${prefix.charAt(0).toUpperCase() + prefix.substr(1)}Controller extends Controller {
    
}
module.exports = ${prefix.charAt(0).toUpperCase() + prefix.substr(1)}Controller; `;
        controllerInfo = controllerInfo.replace(/@apiIgnore/g, '');

        const serviceInfo =
            `'use strict';

const Service = require('xc.base').DbService;

class ${prefix.charAt(0).toUpperCase() + prefix.substr(1)}Service extends Service {
   
}
module.exports = ${prefix.charAt(0).toUpperCase() + prefix.substr(1)}Service;`;
        fs.writeFileSync(path.join(__dirname,`../api/${_module}/controller/${prefix}.js`), controllerInfo);
        fs.writeFileSync(path.join(__dirname,`../api/${_module}/service/${prefix}.js`), serviceInfo);
        return {
            api_num: 0,
            apis: []
        }
    }
}